#version 330 core

in vec2 fragmentUV;

in vec4 pos;
in vec4 prev_pos;

// Ouput data
layout(location = 0) out vec4 color;
layout(location = 1) out vec3 velocity;

uniform sampler2D colorTexture;

void main(){

	vec3 textureColor = texture( colorTexture, fragmentUV).rgb;
	color = vec4( textureColor, 1.0);
		 
	  vec2 a = (pos.xy / pos.w) * 0.5 + 0.5;
      vec2 b = (prev_pos.xy / prev_pos.w) * 0.5 + 0.5;
      velocity = vec3( (a - b) , 1 );
}