#version 330 core

 in vec3 position;
 in vec3 normal;
 in vec2 uv;

uniform mat4 viewMatrix;
uniform mat4 modelMatrix;
uniform mat4 projectionMatrix;
uniform mat4 prevVPMatrix;
uniform mat4 prevModelMatrix;

out vec2 fragmentUV;
out vec4 pos;
out vec4 prev_pos;

void main(){	


	fragmentUV = vec2(uv);
	pos =  projectionMatrix *  viewMatrix * modelMatrix * vec4(position,1);
	prev_pos = prevVPMatrix * prevModelMatrix * vec4(position,1);
	gl_Position = pos;


}

