#version 330 core

	
layout(location = 0) in vec3 position;

uniform mat4 viewMatrix;
uniform mat4 modelMatrix;
uniform mat4 projectionMatrix;

uniform mat4 prevVPMatrix; 
uniform mat4 prevModelMatrix;

out vec4 pos;
out vec4 prev_pos;

void main(){	

	
	pos =  projectionMatrix *  viewMatrix * modelMatrix * vec4(position,1);
	prev_pos = prevVPMatrix * prevModelMatrix * vec4(position,1);
	gl_Position = pos;


}