#version 330 core

uniform float alphaValue;


in vec4 pos;
in vec4 prev_pos;

// Ouput data
layout(location = 0) out vec4 color;
layout(location = 1) out vec3 velocity;

void main()
{
	
	  vec2 a = (pos.xy / pos.w) * 0.5 + 0.5;
      vec2 b = (prev_pos.xy / prev_pos.w) * 0.5 + 0.5;
      velocity = vec3( (a - b) , 1 );

	// Output color = black 
		color = vec4(0,0,0,alphaValue);

}